/* 
* -cr_beg-
* ********************************************************************
* Licensed Materials - Property of IBM
* Restricted Materials of IBM
* 5724-U38, 5724-U39, 5724-U48, 5655-V17, 5655-V19, 5655-V35, 5655-V37
*  Copyright IBM Corp. 2013
* ********************************************************************
* -cr_end-
*/ 
#define SQL_TEXT Latin_Text
#include <sqltypes_td.h>

#include "ODPPTeraUDF.h"

void OptimMaskTable(UDT_HANDLE *KeyList,
                    UDT_HANDLE *Field1,
                    VARCHAR_UNICODE *ProviderStr,
                    void *result1,
                    void *result2,
                    void *result3,
                    void *result4,
                    int *KeyListNullInd,
                    int *Field1NullInd,
                    int *ProviderStrNullInd,
                    int *result1NullInd,
                    int *result2NullInd,
                    int *result3NullInd,
                    int *result4NullInd,
                    char sqlstate[6],
                    SQL_TEXT functionName[],
                    SQL_TEXT specificName[],
                    SQL_TEXT errorMessage[256])
{
   ODPPTeraMaskSQLCA sqlca;
   void* result[4];
   int* resultNullInd[4];

   ODPPTeraMaskInitSQLCALatin(&sqlca, sqlstate, functionName, specificName, errorMessage);

   result[0] = result1;
   result[1] = result2;
   result[2] = result3;
   result[3] = result4;
   resultNullInd[0] = result1NullInd;
   resultNullInd[1] = result2NullInd;
   resultNullInd[2] = result3NullInd;
   resultNullInd[3] = result4NullInd;
   ODPPTeraMaskTable(ProviderStr,
                     *ProviderStrNullInd,
                     *KeyList,
                     *KeyListNullInd,
                     *Field1,
                     *Field1NullInd,
                     result,
                     resultNullInd,
                     &sqlca);
   return;
}
